#include <stdio.h>
#include <stdlib.h>
int main (int argc, char **argv)
{
  int k, q;

  int _test(int *x) {
#define test(x) _test(&x)
#define x (*x)
    int J;
    for (J = 1; J != 10+1; J += 1)
    {
      fprintf (stdout, "%d\n", J);
    }
    return x = J;
  }

  fprintf(stdout, "test() -> %d\n", k=test(q));

  int dynamic[k];

  dynamic[0] = 123;
  dynamic[k-1] = 999;

  fprintf(stdout, "q=%d, dynamic[0]+dynamic[k-1] -> %d\n", q, dynamic[0]+dynamic[k-1]);

  exit (0);

  return (0);
#undef test
}
